/*
 * AppTaskUart0.h
 *
 *  Created on: 202228
 *      Author: QiXiang_CHENJIE
 */

#ifndef APPTASKUART0_H_
#define APPTASKUART0_H_
#include "hal_adapter.h"
#include "AppGlobalVar.h"
#include "AppFuncLib.h"
typedef enum
{
    MAT= 0,
	MAT_Version,
	MAT_Connect,
	MAT_ConnectAsk,
	MAT_DisConnect,
	MAT_Msg,
	MAT_NameSet,
	MAT_Power,
	MAT_Role,
	MAT_GetMac,
	MAT_Num
} McuAtCmd;
typedef sint8 (*McuPFunc)(char *Readptr,uint16 ReadLen, McuAtCmd McuAtIdx,char *AnsPtr,uint8 *AnsPtrLen);
sint8 McuAtCallbackFunc(char *Readptr,uint16 ReadLen, McuAtCmd McuAtIdx,char *AnsPtr,uint8 *AnsPtrLen);
void McuATCmdTransmit(char *Readptr,uint16 ReadLen,char *AnsPtr,uint8 *AnsPtrLen);
typedef struct
{
	McuAtCmd cmd;
    char *str;
    McuPFunc cb;
} McuAtCmdFunc_t;
extern const McuAtCmdFunc_t McuAtCmdFunc[];
void UartTask(void *pvParameters);
#endif /* APPTASKUART0_H_ */
